;---------;
; Defines ;
;---------;

#define TRACK_REDWOOD_VALLEY_FWD_STAGE_1		0
#define TRACK_REDWOOD_VALLEY_FWD_STAGE_2		1
#define TRACK_REDWOOD_VALLEY_FWD_STAGE_3		2
#define TRACK_REDWOOD_VALLEY_REV_STAGE_1		3
#define TRACK_REDWOOD_VALLEY_REV_STAGE_2		4
#define TRACK_REDWOOD_VALLEY_REV_STAGE_3		5
#define TRACK_RAZOR_CANYON_FWD_STAGE_1			6
#define TRACK_RAZOR_CANYON_FWD_STAGE_2			7
#define TRACK_RAZOR_CANYON_FWD_STAGE_3			8
#define TRACK_RAZOR_CANYON_REV_STAGE_1			9
#define TRACK_RAZOR_CANYON_REV_STAGE_2			10
#define TRACK_RAZOR_CANYON_REV_STAGE_3			11

#define TOURNAMENT_AMATEUR						0
#define TOURNAMENT_SEMIPRO						1
#define TOURNAMENT_PRO							2


;--------;
; Tracks ;
;--------;

;
; Redwood Valley - Stage 1
;
Track					TRACK_REDWOOD_VALLEY_FWD_STAGE_1
TrackName				"Redwood Valley"
;TrackFilename			"RD\RDFN1T.3df" "RD\RDFN1O.3df" "RD\RDFP.3df"
TrackFilename			"RV\RVFN1.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
;TrackStage				6 92
TrackStage				9 92

;
; Redwood Valley - Stage 2
;
Track					TRACK_REDWOOD_VALLEY_FWD_STAGE_2
TrackName				"Redwood Valley"
;TrackFilename			"RD\RDFN2T.3df" "RD\RDFN2O.3df" "RD\RDFP.3df"
TrackFilename			"RV\RVFN2.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
;TrackStage				3 104
TrackStage				5 106

;
; Redwood Valley - Stage 3
;
Track					TRACK_REDWOOD_VALLEY_FWD_STAGE_3
TrackName				"Redwood Valley"
;TrackFilename			"RD\RDFN3T.3df" "RD\RDFN3O.3df" "RD\RDFP.3df"
TrackFilename			"RV\RVFN3.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
TrackStage				3 86


;
; Redwood Valley - Reverse Stage 1
;
Track					TRACK_REDWOOD_VALLEY_REV_STAGE_1
TrackName				"Redwood Valley"
;TrackFilename			"RD\RDRN1T.3df" "RD\RDRN1O.3df" "RD\RDRP.3df"
TrackFilename			"RV\RVRN1.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
;TrackStage				3 86
TrackStage				5 88

;
; Redwood Valley - Reverse Stage 2
;
Track					TRACK_REDWOOD_VALLEY_REV_STAGE_2
TrackName				"Redwood Valley"
;TrackFilename			"RD\RDRN2T.3df" "RD\RDRN2O.3df" "RD\RDRP.3df"
TrackFilename			"RV\RVRN2.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
;TrackStage				3 104
TrackStage				4 105

;
; Redwood Valley - Reverse Stage 3
;
Track					TRACK_REDWOOD_VALLEY_REV_STAGE_3
TrackName				"Redwood Valley"
;TrackFilename			"RD\RDRN3T.3df" "RD\RDRN3O.3df" "RD\RDRP.3df"
TrackFilename			"RV\RVRN3.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
TrackStage				6 92


;
; Razor Canyon - Stage 1
;
Track					TRACK_RAZOR_CANYON_FWD_STAGE_1
TrackName				"Razor Canyon"
;TrackFilename			"SD\SDFN1T.3df" "SD\SDFN1O.3df" "SD\SDFP.3df"
TrackFilename			"RC\RCFN1.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
TrackStage				3 84


;
; Razor Canyon - Stage 2
;
Track					TRACK_RAZOR_CANYON_FWD_STAGE_2
TrackName				"Razor Canyon"
;TrackFilename			"SD\SDFN2T.3df" "SD\SDFN2O.3df" "SD\SDFP.3df"
TrackFilename			"RC\RCFN2.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
;TrackStage				3 146
TrackStage				3 106


;
; Razor Canyon - Stage 3
;
Track					TRACK_RAZOR_CANYON_FWD_STAGE_3
TrackName				"Razor Canyon"
;TrackFilename			"SD\SDFN3T.3df" "SD\SDFN3O.3df" "SD\SDFP.3df"
TrackFilename			"RC\RCFN3.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
TrackStage				3 100


;
; Razor Canyon - Reverse Stage 1
;
Track					TRACK_RAZOR_CANYON_REV_STAGE_1
TrackName				"Razor Canyon"
;TrackFilename			"SD\SDRN1T.3df" "SD\SDRN1O.3df" "SD\SDRP.3df"
TrackFilename			"RC\RCRN1.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
TrackStage				4 102


;
; Razor Canyon - Reverse Stage 2
;
Track					TRACK_RAZOR_CANYON_REV_STAGE_2
TrackName				"Razor Canyon"
;TrackFilename			"SD\SDRN2T.3df" "SD\SDRN2O.3df" "SD\SDRP.3df"
TrackFilename			"RC\RCRN2.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
;TrackStage				3 146
TrackStage				3 116


;
; Razor Canyon - Reverse Stage 3
;
Track					TRACK_RAZOR_CANYON_REV_STAGE_3
TrackName				"Razor Canyon"
;TrackFilename			"SD\SDRN3T.3df" "SD\SDRN3O.3df" "SD\SDRP.3df"
TrackFilename			"RC\RCRN3.3df" "" ""
TrackSpline				"Path"
TrackSplineReset		"PathReset"
TrackStage				7 88


;-------------;
; Tournaments ;
;-------------;

;
; Amateur Cup
;
Tournament				TOURNAMENT_AMATEUR
TournamentName			"Amateur"
TournamentMeshName		"CUP_Amateur"
TournamentTracks		TRACK_REDWOOD_VALLEY_FWD_STAGE_3 TRACK_REDWOOD_VALLEY_REV_STAGE_1 TRACK_RAZOR_CANYON_FWD_STAGE_3 TRACK_RAZOR_CANYON_REV_STAGE_2
TournamentScores		8 5 3 2 1 0

;
; Semi-Pro Cup
;
Tournament				TOURNAMENT_SEMIPRO
TournamentName			"Semi-Pro"
TournamentMeshName		"CUP_SemiPro"
TournamentTracks		TRACK_REDWOOD_VALLEY_FWD_STAGE_2 TRACK_REDWOOD_VALLEY_REV_STAGE_3 TRACK_RAZOR_CANYON_FWD_STAGE_2 TRACK_RAZOR_CANYON_REV_STAGE_3
TournamentScores		8 5 3 2 1 0

;
; Pro Cup
;
Tournament				TOURNAMENT_PRO
TournamentName			"Pro"
TournamentMeshName		"CUP_Pro"
TournamentTracks		TRACK_REDWOOD_VALLEY_FWD_STAGE_1 TRACK_REDWOOD_VALLEY_REV_STAGE_2 TRACK_RAZOR_CANYON_FWD_STAGE_1 TRACK_RAZOR_CANYON_REV_STAGE_1
TournamentScores		8 5 3 2 1 0


